body:has(.theMapInFullScreenMode) {overflow: hidden !important;}

/* WHATSAPP CHAT BUTTON */
#waChatButton {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 66px;
    height: 66px;
    display: flex;
    justify-content: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-box-align: center;
    font-size: 38px;
    color: rgb(79, 206, 93);
    background: #fff;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 12px;
    z-index: 100;
}

#waChatButton::after {
    content: "";
    position: absolute;
    right: 4px;
    top: 4px;
    width: 10px;
    height: 10px;
    background-color: rgb(255, 0, 0);
    border-radius: 50%;
    z-index: 1;
}

/* ------------------------------ */

/* HEADER */
/* -- TOP BAR */
header,
header .headerTopBar .news-flash-list li {
    background: var(--makaan-global-color-light-green);
}

header .headerTopBar .socialIcons a,
header .headerTopBar .news-flash-list li {
    color: var(--makaan-global-color-primary);
}

/* -- BOTTOM BAR */
header .headerBottomBar {
    background: #3ab77d;
}

header .headerBottomBar nav>ul>li>a,
header .headerBottomBar .supportBox p {
    line-height: 15px;
    color: white;
}

header .headerBottomBar .supportBox p span {
    color: var(--makaan-global-color-primary);
}

/* -- NAV */
header .headerBottomBar nav>ul>li.have-sub-menu::after {
    background-image: url('https://makaansolutions.com/makaan-resources/Media/chevron-down-white.svg');
}

/* -- SEARCH */
header .headerBottomBar search {
    flex: 0 0 400px;
    height: 40px;
    margin: 15px 0;
}

header .headerBottomBar search form,
header .headerBottomBar search form input {
    position: relative;
    width: 100%;
    height: 100%;
}

header .headerBottomBar search form {
    background: var(--makaan-global-color-light-green);
    border-radius: 13px;
    overflow: hidden;
}

header .headerBottomBar search form :is(input, button) {
    background: transparent;
    border: none;
    outline: none;
}


header .headerBottomBar search form input {
    padding: 0 50px 0 20px;
    font-size: 11px;
}

header .headerBottomBar search form button.search-btn {
    position: absolute;
    top: 0;
    right: 3px;
    height: 100%;
    padding: 10px 20px;
    font-size: 18px;
    color: #929ea6;
}

/* -- Search Results Container */
header .headerBottomBar search .search-resutls-container {
    position: absolute;
    top: 80px;
    left: 50%;
    transform: translateX(-50%);
    width: 90vw;
    height: 0;
    overflow: hidden;
    transition: all .5s;
    z-index: -1;
    pointer-events: none;
}

/* -- When Search is Active */
header .headerBottomBar search.active .search-resutls-container {
    top: 120px;
    height: auto;
    min-height: 300px;
    max-height: 90vh;
    padding: 20px;
    background: #fff;
    border-radius: 13px;
    z-index: 10;
    filter: drop-shadow(0 0 5px rgba(0, 0, 0, .1));
    z-index: 100;
    pointer-events: unset;
}

.pre-title {
    font-size: 13px;
    letter-spacing: 0;
}

section>h2 {
    margin-bottom: 30px;
    font-size: 42px;
}

p {
    line-height: 20px;
}

/* MAIN */
/* -- COVER CONTAINER */
.coverContainer {
    margin: 0 0 50px;
    color: black;
    background-image: linear-gradient(to left bottom, var(--makaan-global-color-light-green), var(--makaan-global-color-light-yellow));
    order: 1;
}

.coverContainer .innerContainer {
    padding: 60px 0 0 50px;
    justify-content: space-between;
    align-items: center;
}

.coverContainer .col:nth-child(1) {
    width: 40%;
    padding-bottom: 60px;
}

.coverContainer .col:nth-child(2) {
    width: 60%;
    align-self: flex-end;
    overflow: hidden;
}

.coverContainer .col:nth-child(2) img {
    margin: 0 0 -3px;
}

.coverContainer h1 {
    font-family: 'SF Pro Display Bold';
    font-size: 64px;
    letter-spacing: 2px;
    line-height: 50px;
    letter-spacing: 0;
}

.coverContainer p.coverDescription {
    margin: 20px 0;
    line-height: 25px;
}

.coverContainer .col .buttonsRow {
    gap: 15px;
}

.coverContainer .btn-rounded__fill {
    background: black;
}

.coverContainer .btn-rounded__border {
    color: black;
    border-color: lightgrey;
}

.coverContainer .featuresRow {
    gap: 40px;
    margin-top: 80px;
    padding: 15px 0;
    border-top: 1px solid lightgrey;
}

.coverContainer .featuresRow .featureItem span {
    display: block;
}

.coverContainer .featuresRow .featureItem span:first-child {
    margin-bottom: 2px;
    font-weight: bold;
}

.coverContainer .featuresRow .featureItem span:last-child {
    font-size: 14px;
}

/* WHY CHOOSE OUR PLATFORM */
.whyChooseOurPlatform {
    padding: 10px 100px;
    text-align: center;
}

.whyChooseOurPlatform .featuresList {
    justify-content: space-evenly;
    align-items: flex-start;
    gap: 30px;
    list-style: none;
}

.whyChooseOurPlatform .featuresList .featureListItem {
    width: 25%;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.whyChooseOurPlatform .featuresList .featureListItem .icon {
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
    margin-bottom: 5px;
    padding: 12px;
    background-color: var(--makaan-global-color-the-grey);
    border-radius: 50%;
}

.whyChooseOurPlatform .featuresList .featureListItem h3 {
    font-size: 18px;
}

.whyChooseOurPlatform .featuresList .featureListItem p {
    font-size: 14px;
    color: grey;
}

/* -- THE MAP */
/* -- -- MAP WRAPPER */
.mapWrapper {
    position: relative;
    width: 100%;
    max-width: 1200px;
    height: 600px;
    margin: 30px auto;
    padding: 10px;
    background: white;
    border-radius: 20px;
    filter: drop-shadow(0 0 3px rgba(0, 0, 0, .4));
    overflow: hidden;
    order: 3;
}

/* -- -- MAP CONTAINER */
#masterMap {
    width: 100%;
    height: 100%;
    border-radius: 14px;
}

.theMapInFullScreenMode {
    position: fixed;
    top: 0;
    left: 0;
    width: 100% !important;
    max-width: unset !important;
    height: 100vh !important;
    margin: 0 !important;
    border: none !important;
    border-radius: 0 !important;
    z-index: 9999;
}

/* LEAFLET CONTROL CONTAINER */
.leaflet-control-container .flex {gap: 5px;}

.leaflet-control-container .leaflet-top {margin-top: 5px;}

.leaflet-control-container .leaflet-top .leaflet-control {margin-top: 5px;}

.leaflet-control-container .leaflet-bottom .leaflet-control {margin-bottom: 5px;}

/* MAP BUTTONS */
.mapWrapper :is(button, a):not(:disabled) {cursor: pointer;}

.mapWrapper .map-button {
    width: 32px !important;
    height: 32px !important;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: white;
    background-color: var(--makaan-global-color-primary);
    border: none;
    border-radius: 3px;
}

.mapWrapper .map-button > svg {pointer-events: none;}

.mapWrapper :is(.map-button:hover, .map-button.active){background-color: var(--makaan-global-color-secondary);}

/* -- Toggle Layer Button */
.mapWrapper .toggleLayerBtn {
    width: 36px !important;
    height: 36px !important;
    background-color: #fff;
    border-radius: 50%;
}

/* -- CLEAR BUTTON */
.mapWrapper .clear-button {
    position: absolute;
    width: max-content;
    padding: 5px;
    font-size: 13px;
    color: var(--makaan-global-color-primary);
    background: #fff;
    border: 1px solid var(--makaan-global-color-primary);
    border-radius: 3px;
}

.mapWrapper .leaflet-left .clear-button {left: 100%;}

.mapWrapper .leaflet-right .clear-button {right: 100%;}

.mapWrapper .clear-button:hover {
    color: white;
    background: var(--makaan-global-color-primary);
}

/* -- -- ZOOM BUTTONS */
.leaflet-control-zoom {
    border-radius: 50px;
    overflow: hidden;
}

.leaflet-control-zoom a:hover,
.leaflet-control-zoom a:active {
    color: white;
    background-color: var(--makaan-global-color-primary);
}

/* -- -- OPACITY SLIDER */
.mapWrapper input[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    position: absolute;
    left: -38px;
    top: 144px;
    transform: rotate(270deg);
    background: transparent;
    z-index: 9000;
    cursor: pointer;
    touch-action: none;
}

/***** Chrome, Safari, Opera, and Edge Chromium *****/
input[type="range"]::-webkit-slider-runnable-track {
    background: var(--makaan-global-color-primary);
    height: 10px;
    border-radius: 50px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 30px;
    height: 18px;
    margin-top: -4px;
    background-color: var(--makaan-global-color-secondary);
    border-radius: 50px;
}

/******** Firefox ********/
input[type="range"]::-moz-range-track {
    background: var(--makaan-global-color-primary);
    height: 8px;
    border-radius: 50px;
}

/* -- -- DIRECTIONS BUTTON WRAP */
.leaflet-top.leaflet-left .leaflet-control-directions {margin-top: 150px;}

/* -- -- ADD MARKER BUTTON */
.add-marker-control span {
    display: block;
    margin: 1px 0 -16px;
    padding: 0 1px;
    text-align: center;
    font-size: 10px;
    color: #000;
    background: #fff;
    border-radius: 2px;
}

/* -- -- -- CUSTOM MARKER */
.custom-marker {
    position: relative;
    width: max-content;
}

.custom-marker .marker-actions {
    position: absolute;
    top: -5px;
    right: -12px;
    width: min-content;
}

.custom-marker .marker-actions button {
    display: block;
    padding: 2px;
    line-height: 0.7;
    background: rgba(255, 255, 255, .6);
    border: none;
    border-radius: 50%;
}

.custom-marker .marker-actions button:not(:last-child) {margin-bottom: 4px;}

.custom-marker .marker-remove {font-size: 22px;}

.custom-marker .marker-share {font-size: 13px;}

/* -- -- ROUTES BOX */
/* -- -- -- Toggle Button */
.leaflet-routing-container .leaflet-routing-collapse-btn {
    top: 5px;
    right: 1px;
    width: 32px;
    height: 32px;
    background-image: url('../media/routing-icon.png');
    background-color: lightgrey;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 70%;
    border-radius: 4px;
    z-index: 1;
}

.leaflet-routing-container-hide .leaflet-routing-collapse-btn {
    top: 0;
    left: auto;
    background-color: #fff;
    border: 1px solid var(--makaan-global-color-primary);
}

.leaflet-routing-collapse-btn::after {
    display: none !important;
}

/* -- -- -- Routing Container */
.leaflet-routing-container {
    width: auto;
    height: auto;
    font-family: 'Lato', sans-serif;
    background: transparent;
    border: none !important;
}

div.leaflet-top.leaflet-right div.leaflet-routing-alt {
    padding-bottom: 10px;
}

.leaflet-routing-container:not(.leaflet-routing-container-hide) .leaflet-routing-alternatives-container {
    max-width: 270px;
    background-color: white;
    border: 1px solid var(--makaan-global-color-primary);
    border-radius: 10px;
    overflow-y: auto;
}

.leaflet-routing-container .leaflet-routing-alt {
    display: flex;
    flex-direction: column;
}

.leaflet-routing-container h2 {
    position: relative;
    width: 100%;
    padding: 5px 10px;
    color: red;
    background-color: var(--makaan-global-color-the-grey);
    border-radius: 3px;
}

.leaflet-routing-container .leaflet-routing-alt:not(:first-child) h2::after {
    content: 'Alternate Route';
    position: absolute;
    right: 5px;
    padding: 2px 5px;
    font-family: 'Lato';
    font-size: 9px;
    color: white;
    background-color: var(--makaan-global-color-primary);
    border-radius: 3px;
}

.leaflet-routing-container h3 {
    margin-left: auto;
    font-size: 13px;
    font-weight: bold;
}

.leaflet-pane>svg path.leaflet-interactive:last-child {
    stroke: var(--makaan-global-color-primary);
}

/* MEASURE CONTROL */
/* -- HIDE THE LAST POINT INFO */
.leaflet-control-measure-interaction .js-measuringprompt .js-results .group:first-child {
    display: none !important;
}

/* LAYER SWITCH TOGGLE */
.leaflet-control-layers a {
    background-size: 20px !important;
}

.leaflet-control-layers {
    color: white;
    background-color: var(--makaan-global-color-primary);
}

/* FULL SCREEN BUTTON */
#fullscreen-btn {
    padding: 2px 5px;
}

/* LEAFLET ATTRIBUTION */
.hidden-attr {
    width: 0;
    height: 0;
    overflow: hidden;
}

/* --- -- LIVE LOCATION */
#liveLocation-btn {
    margin: 0 0 5px 0;
}

.live-location-icon {
    display: inline-block;
    width: 20px;
    height: 20px;
    background: var(--makaan-global-color-primary);
    border: 3px solid white;
    border-radius: 50%;
}

/* -- Our Recent Project */
#mapsNavContainer {
    align-items: center;
}

#mapsNavContainer nav {width: 100%;}

.mapsNav {
    flex-flow: row wrap;
    justify-content: center;
    gap: 25px;
}

.mapsNav .mapCard {
    display: flex;
    flex-direction: column;
    width: calc(100% / 4);
    min-width: 250px;
    max-width: 300px;
    padding: 10px;
    background: white;
    border-radius: 18px;
    overflow: hidden;
    filter: drop-shadow(0 0 3px rgba(0, 0, 0, .3));
}

.mapsNav .mapCard a.img-link-wrap {
    position: relative;
    display: flex;
    overflow: hidden;
}

.mapsNav .mapCard img:not(.soc_logo) {
    margin-bottom: 12px;
    object-fit: cover;
    border-radius: 12px;
}

.mapsNav .mapCard a.img-link-wrap .soc_logo {
    position: absolute;
    bottom: 50%;
    left: 50%;
    transform: translate(-50%, 100%);
    width: 160px;
    object-fit: contain;
    opacity: 0;
    transition: all .8s;
}

.mapsNav .mapCard a.img-link-wrap .soc_logo.displayed {
    transform: translate(-50%, 50%);
    opacity: 1;
}

.mapsNav .mapCard .flex-row {
    justify-content: space-between;
    align-items: center;
    padding: 0 8px;
}

.mapsNav .mapCard h3 {
    font-size: 21px;
}

.mapsNav .mapCard h3 a {
    color: black;
}

.mapsNav .mapCard a.viewMore-link {
    font-size: 14px;
    color: rgb(5, 5, 112);
    text-decoration: underline;
}

.mapsNav .mapCard p {
    margin: 8px 0 5px 2px;
    font-size: 14px;
    color: rgb(68, 68, 68);
}

.mapsNav .mapCard p i {
    display: inline-block;
    margin-right: 5px;
}

.mapsNav .mapCard .card-footer {margin-top: auto;}

/* -- -- ADD YOUR SOCIETY TO MAPS MAKAAN*/
/* -- -- -- ADD SOCIETY POP UP */
.addSocietyPopup .popup-inner {
    width: 50%;
}

/* -- -- -- ADD SOCIETY FORM */
.addSocietyForm {
    gap: 20px;
}

.addSocietyForm .flex-row {
    position: relative;
    gap: 12px;
}

.addSocietyForm label {
    font-size: 14px;
}

.addSocietyForm input {
    width: 100%;
    height: 40px;
}

.addSocietyForm .flex-row .flex-col {
    width: 50%;
    gap: 5px;
}

.addSocietyForm input {
    color: var(--makaan-global-color-secondary);
    border: 1px solid var(--makaan-global-color-primary);
}

.addSocietyForm input::placeholder {
    color: #0a192fab;
}

.addSocietyForm input[type="file"] {
    cursor: pointer;
}

.addSocietyForm input[type="submit"] {
    width: 100px;
    align-self: flex-end;
}

/* EXTERNAL LINK CARD - TESTIMONIALS & CTA SECTION */
section.extCard_Testimonials_cta {
    padding: 40px 100px;
}

section.extCard_Testimonials_cta .externalCardsWrap {
    justify-content: center;
    align-items: stretch;
    gap: 20px;
}

section.extCard_Testimonials_cta .externalCard {
    width: 45%;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
    background: white;
    padding: 20px 30px;
    border-radius: 8px;
    filter: drop-shadow(0 0 3px rgba(0, 0, 0, .15));
}

section.extCard_Testimonials_cta .externalCard .flex-col:first-child {
    width: 35%;
}

section.extCard_Testimonials_cta .externalCard .imgWrap {
    width: 100%;
    border-radius: 50%;
    overflow: hidden;
}

section.extCard_Testimonials_cta .externalCard img {
    border-radius: 50%;
}

section.extCard_Testimonials_cta .externalCard .col:last-child {
    width: 60%;
    justify-content: center;
    align-items: flex-start;
    gap: 12px;
}

section.extCard_Testimonials_cta .externalCard h2 {
    font-size: 22px;
}

section.extCard_Testimonials_cta .externalCard .col p {
    font-size: 14px;
    color: grey;
}

section.extCard_Testimonials_cta .externalCard .col a {
    font-size: 12px;
}

/* PROMOTION CARD */
.testimonialsWrap {
    position: relative;
    margin: 60px auto 120px;
    max-width: 1020px;
    height: 345px;
    color: var(--makaan-global-color-primary);
    background: var(--makaan-global-color-secondary);
    border-radius: 8px;
    overflow: hidden;
}

.testimonialsWrap .testimBtns {
    position: absolute;
    top: 50%;
    right: 30px;
    gap: 5px;
}

.testimonialsWrap .testimBtns label {
    width: 11px;
    height: 11px;
    background: var(--makaan-global-color-primary);
    border-radius: 50%;
    cursor: pointer;
    z-index: 10;
}

.testimonialsWrap .testimBtns label.checked {
    background: #fff;
}

.testimonialsWrap .scrollable-container {
    position: relative;
    width: 100%;
    height: 345px;
    background: transparent;
    overflow: hidden;
}

.testimonialsWrap .testimonial {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transform: translateY(0);
    transition: opacity 0.5s ease, transform 0.5s ease;
    z-index: 0;
}

.testimonialsWrap .testimonial input {
    display: none;
}

.testimonialsWrap .testimonial .col {
    height: 100%;
    opacity: 0;
    transition: all 0.5s ease;
}

.testimonialsWrap .testimonial input:checked~.col {
    opacity: 1;
    z-index: 1;
}

.testimonialsWrap .testimonial .col:nth-child(2) {
    width: 35%;
    transition-delay: 0.2s;
}

.testimonialsWrap .testimonial .col:last-child {
    width: 65%;
    padding: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.testimonialsWrap .testimonial h2 {
    font-size: 26px;
    font-weight: medium;
}

.testimonialsWrap .testimonial .stars {
    gap: 5px;
    margin: 30px 0 20px;
    font-size: 11px;
    color: black;
}

.testimonialsWrap .testimonial p {
    max-width: 70%;
    font-size: 15px;
    line-height: 25px;
    color: black;
}

.testimonialsWrap .testimonial .person-details p {
    font-weight: bold;
    color: var(--makaan-global-color-primary);
}

.testimonialsWrap .testimonial .person-details .name {
    font-size: 17px;
}

.testimonialsWrap .testimonial span {
    display: block;
}

.testimonialsWrap .testimonial .author {
    margin-top: 15px;
    font-size: 18px;
    font-weight: bold;
}

.testimonialsWrap .testimonial .authorPosition {
    margin-top: 5px;
    font-size: 13px;
    color: grey;
}

.testimonial.visible {
    opacity: 1;
    transform: translateY(0);
    /* Move into position */
    z-index: 1;
}

.testimonial.enter-from-bottom {
    transform: translateY(100%);
}

.testimonial.enter-from-top {
    transform: translateY(-100%);
}

.testimonial.exit-to-top {
    transform: translateY(-100%);
    opacity: 0;
}

.testimonial.exit-to-bottom {
    transform: translateY(100%);
    opacity: 0;
}

/* UPDATE ALERT - CTA */
.updateAlert {
    position: relative;
    justify-content: space-between;
    padding: 0 100px 0 100px;
    background-color: var(--makaan-global-color-primary);
    border-radius: 10px;
    color: white;
}

.updateAlert .col {
    justify-content: center;
    align-items: stretch;
}

.updateAlert .col:first-child {
    width: 40%;
    z-index: 3;
}

.updateAlert::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 40%;
    height: 100%;
    background-image: url('../media/bell-icon.webp');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    mix-blend-mode: multiply;
    opacity: 0.14;
    z-index: 1;
}

.updateAlert .col:last-child {
    width: 40%;
}

.updateAlert .col:last-child img {
    max-width: 120%;
    margin: -100px 0 0;
}

.updateAlert p {
    margin: 15px 0 30px;
    font-size: 15px;
}

.updateAlert form {
    justify-content: center;
    align-items: flex-start;
    gap: 15px;
}

.updateAlert input {
    padding: 15px 25px;
    height: 50px;
}

.updateAlert input::placeholder,
.updateAlert input::-moz-placeholder,
.updateAlert input::-webkit-input-placeholder {
    color: rgba(255, 255, 255, 0.8);
}

.updateAlert input[type="tel"] {
    width: 100%;
    color: white;
    background: transparent;
    border: 1px solid var(--makaan-global-color-secondary);
    border-radius: 50px;
}

.updateAlert input.btn-rounded__fill {
    padding: 15px 35px;
    color: var(--makaan-global-color-primary);
    background: var(--makaan-global-color-secondary);
}

/* REQUEST A CALL FORM - SECTION */
.requestAcall-section {
    margin: 50px 0;
    padding: 50px 10px;
    background-color: var(--makaan-global-color-the-grey);
    order: 4;
}

.requestAcall-section .requestAcallForm {
    width: 100%;
    max-width: 400px;
    margin-top: 30px;
}

.requestAcall-section .requestAcallForm input {
    height: 40px;
    padding: 5px 12px;
    color: var(--makaan-global-color-secondary);
    background-color: white;
}

.requestAcall-section .requestAcallForm input::placeholder {
    color: var(--makaan-global-color-secondary);
}

.requestAcall-section .requestAcallForm input::-moz-placeholder {
    color: var(--makaan-global-color-secondary);
}

.requestAcallForm input[type="submit"] {
    color: white;
    background-color: var(--makaan-global-color-primary);
    border-color: var(--makaan-global-color-primary);
}

/* MEDIA QUERIES */
@media only screen and (max-width:768px) {
    .needHelpPopup .popup-inner {
        padding: 30px;
        justify-content: center;
        align-items: flex-start;
    }

    .needHelpPopup .popup-inner > .flex-col:first-child {max-width: 200px;}

    .needHelpPopup .popup-inner a.btn-rounded__fill {width: 100%;}

    .needHelpPopup .popup-inner > .flex-col:nth-child(2) {
        width: 60%;
        margin: -200px -30px -30px 0;
        align-self: flex-end;
    }

    /* HEADER */
    header .headerTopBar {
        background: transparent;
    }

    section h2 {
        margin-bottom: 10px;
        font-size: 34px;
    }

    header .headerBottomBar .supportBox {align-items: flex-start;}

    /* MAIN */
    main .innerContainer {
        padding: 0 15px;
    }

    /* -- COVER */
    .coverContainer {
        margin: -50px 0 30px;
        text-align: center;
    }

    .coverContainer .innerContainer {
        padding: 85px 0 0;
    }

    .coverContainer p.coverDescription {
        margin-top: 5px;
        font-size: 14px;
    }

    .coverContainer .col,
    .coverContainer .col:nth-child(2) {
        width: 100% !important;
    }

    .coverContainer .col:nth-child(1) {
        padding: 0 20px 25px;
    }

    .coverContainer .col:last-child img {
        width: 100%;
    }

    .coverContainer .buttonsRow {
        flex-flow: row nowrap;
        justify-content: center;
    }

    .coverContainer .featuresRow {
        flex-flow: row nowrap;
        justify-content: center;
        gap: 25px;
        margin-top: 20px;
    }

    /* -- WHY CHOOSE OUR PLATFORM */
    .whyChooseOurPlatform .featuresList {
        flex-flow: row wrap;
        margin-top: 20px;
    }

    .whyChooseOurPlatform .featuresList .featureListItem {
        width: 45%;
    }

    /* -- THE MAP */
    .mapWrapper {
        width: 95%;
        margin: 40px auto;
    }

    /* -- OUR RECENT PROJECTS */
    .mapsNav {
        gap: 15px;
    }

    .mapsNav .mapCard {
        width: auto;
        flex: 1 0 calc(50% - 20px);
        padding: 12px;
    }

    .mapsNav .mapCard img {
        margin-bottom: 8px;
    }

    .mapsNav .mapCard .flex-row {
        flex-flow: row wrap;
    }

    /* TURORIALS SECTION */
    section.externalCards .externalCardsWrap .externalCard {
        width: 100%;
        text-align: center;
    }

    section.externalCards .externalCard .col:last-child {
        justify-content: center;
        align-items: center;
    }

    /* PROMOTION CARD */
    .testimonialsWrap .testimonial .col,
    .testimonialsWrap .testimonial .col img {
        width: 100% !important;
    }

    .testimonialsWrap .testimonial .col:first-child {
        height: 200px;
    }

    .testimonialsWrap .testimonial .col:last-child {
        padding: 15px 30px 30px;
        justify-content: flex-start;
    }

    .testimonialsWrap .testimonial .col:last-child .stars {
        flex-flow: row nowrap;
    }

    /* GET STARTED WITH HOME */
    .updateAlert {
        padding: 40px;
    }

    .updateAlert .col {
        width: 100% !important;
    }

    .updateAlert .col:last-child img {
        max-width: 100%;
        margin: 40px 0 -100px;
    }

    /* REQUEST A CALL FORM - SECTION */
    .requestAcall-section p {
        width: 80%;
        text-align: center;
        font-size: 14px;
    }
}

/* SMALL MOBILE DEVICES */
@media only screen and (max-width: 450px) {

    /* COVER */
    .coverContainer h1 {
        margin: 10px 0 15px;
        font-family: 'SF Pro Display Heavy';
        font-size: 48px;
        line-height: 60px;
    }

    .coverContainer :is(.btn-rounded__border, .btn-rounded__fill) {
        padding: 12px 20px;
    }

    /* SEARCH FORM - COVER */
    .coverContainer .searchThisPage input {
        width: 90%;
    }

    /* MAPS NAV */
    .mapsNav {
        margin-top: 10px;
        justify-content: center;
        align-items: center;
    }

    .mapsNav .mapCard {
        flex: 100%;
        width: 75%;
    }

    .mapsNav .mapCard .flex-row:first-of-type {
        text-align: center;
        justify-content: center;
        align-items: center;
    }

    /* EXTERNAL LINKING CARDS */
    section.extCard_Testimonials_cta .externalCard {
        width: 100%;
        text-align: center;
        gap: 15px;
    }

    section.extCard_Testimonials_cta .externalCard .flex-col:first-child {
        width: 60%;
    }

    section.extCard_Testimonials_cta .externalCard .col:last-child {
        width: 100%;
        justify-content: center;
        align-items: center;
    }

    section.extCard_Testimonials_cta .externalCard h2 {
        margin-bottom: 0;
    }

    section.extCard_Testimonials_cta .externalCard .btn-rounded__fill {
        margin-top: 15px;
    }

    /* TESTIMONIALS */
    .testimonialsWrap {
        height: auto;
        margin: 60px auto;
    }

    .testimonialsWrap .scrollable-container {
        height: auto;
        min-height: 750px;
    }

    .testimonialsWrap .testimonial p {
        width: 100%;
    }

    .testimonialsWrap .testimonial .person-details {
        margin-top: 20px;
    }

    .testimonialsWrap .testimonial .person-details .designation {
        font-size: 14px;
    }

    /* UPDATE ALERT */
    .updateAlert {
        margin-bottom: 20px;
        padding: 40px 40px 0;
    }

    .updateAlert::before {
        width: 100%;
        height: 50%;
    }

    .updateAlert .col:last-child img {
        margin: 20px 0 0;
    }

}